Bug 971496 - Notify user about question dialogs
Notify user about question dialogs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: beta
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 12:17 EDT by David Jaša
Modified: 2014-01-02 05:59 EST (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.32.3-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:14:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hanging evo bt (30.84 KB, text/plain)
2013-06-07 05:07 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2013-06-06 12:17:02 EDT
Description of problem:
dialog asking what to do with new message should pop up over window that received ctrl+q/File-Quit, not over concept window, and it should be highlighted

This is similar to bug 810460 - evo seems to do noop instead of requested action.

Version-Release number of selected component (if applicable):
evolution-2.32.3-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. have a main window and a New Message window opened, each on separated desktop and have main window focused
2. tell main window to quit the whole application (ctrl+q or file - quit)
3.

Actual results:
* a pop-up is issued:
  * over the New Message window
  * without any highlight
* main window gives no indication of what's going on whatsoever

Expected results:
* the best thing: just save the messages quietly and quit, restore the messages quietly on the new startup
* the next best things:
  * highlight the pop-up window in WM
  * bring the pop-up on top of the window that requested evo to quit

Additional info:
Comment 1 David Jaša 2013-06-07 05:07:55 EDT
Created attachment 758064 [details]
hanging evo bt

The issue is somewhat worse if you issue another ctrl-q/File-Quit while the pop-up is waiting elsewhere - evo then shows all window widgets as disabled and it does not respond to any input anymore. The attached backtrace is of window in such state.
Comment 2 Milan Crha 2013-06-24 08:54:33 EDT
Upstream patch available (for master (3.9.4+) and 3.8.4+):
https://git.gnome.org/browse/evolution/commit/?h=gnome-3-8&id=69976cc
Comment 9 errata-xmlrpc 2013-11-21 00:14:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.